﻿/*@font-face {
  font-family: 'ChosunKm';
  font-style: normal;
  font-weight: 400;
  src: url('/fonts/ChosunKm.woff') format('woff');
}
*/

@font-face {
  font-family: 'S-CoreDream-3Light';
  src: url('https://cdn.jsdelivr.net/gh/projectnoonnu/noonfonts_six@1.2/S-CoreDream-3Light.woff') format('woff');
  font-weight: normal;
  font-style: normal;
}
@font-face {
  font-family: 'NanumSquareL';
  src: url('https://cdn.jsdelivr.net/gh/wizfile/font/NanumSquareL.eot');
  src: url('https://cdn.jsdelivr.net/gh/wizfile/font/NanumSquareL.woff') format('woff');
  font-style: normal;
}
@font-face {
  font-family: 'GmarketSansTTFLight';
  src: url('https://cdn.jsdelivr.net/gh/wizfile/font/GmarketSansTTFLight.eot');
  src: url('https://cdn.jsdelivr.net/gh/wizfile/font/GmarketSansTTFLight.woff') format('woff');
  font-style: normal;
}
				

/*@import url("https://cdn.jsdelivr.net/gh/orioncactus/pretendard@v1.3.9/dist/web/static/pretendard-dynamic-subset.min.css");*/
:root {
  --rz-layout-body-padding: 0.04rem 0 0 0.04rem !important;
  /*  --rz-body-font-size: 0.825rem !important;*/
  --rz-tabs-padding: 0.25rem !important;
  --rz-root-font-size: 12px !important;
  --rz-scheduler-event-font-size: 1rem !important;
  --rz-text-body1-font-size: 0.875rem !important;
}

* {
    font-family: Play, 'NanumBarunPen', 'GmarketSansTTFLight', 'S-CoreDream-3Light', 'Pretendard ', 'Starcraft', sans-serif, Tahoma, 'ChosunKm', Verdana, Arial;
    /*  font-weight: 100;*/
}


#app {
  /*  background-color: #2e2e2e;*/
  background-color: var(--rz-header-background-color);
}

a.ui-button:hover {
    color: #fff;
    text-decoration: none;
}

/*
Visual Studio-like style based on original C# coloring by Jason Diamond <jason@diamond.name>
*/
.hljs {
display: block;
overflow-x: auto;
background: white;
color: black;
}

.hljs-comment,
.hljs-quote,
.hljs-variable {
color: #008000;
}

.hljs-keyword,
.hljs-selector-tag,
.hljs-built_in,
.hljs-name,
.hljs-tag {
color: #00f;
}

.hljs-string,
.hljs-title,
.hljs-section,
.hljs-attribute,
.hljs-literal,
.hljs-template-tag,
.hljs-template-variable,
.hljs-type,
.hljs-addition {
color: #a31515;
}

.hljs-deletion,
.hljs-selector-attr,
.hljs-selector-pseudo,
.hljs-meta {
color: #2b91af;
}

.hljs-doctag {
color: #808080;
}

.hljs-attr {
color: #f00;
}

.hljs-symbol,
.hljs-bullet,
.hljs-link {
color: #00b0e8;
}


.hljs-emphasis {
font-style: italic;
}

.hljs-strong {
font-weight: bold;
}

.documentation-links {
position: relative;
float: right;
margin-inline-start: -100%;
padding-block-start: 0.5rem;
padding-inline-end: 1rem;
}

.documentation-links a {
text-decoration: none !important;
padding: 6px 0;
margin-inline-start: 24px;
display: inline-flex;
align-items: center;
}

.social-link {
margin-inline-end: 8px;
text-decoration: none;
}

/* next-demos */

body {
  /*    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;*/
/*  --rz-body-font-size: 9px;*/
  margin: 0;
}

.light {
    padding-block-start: 3rem;
    padding-block-end: 6rem;
    background-image: url("../images/background.svg");
    background-repeat: no-repeat;
    background-size: 3000px;
    background-position: 50% -1600px;
}

.dark {
    padding-block-start: 6rem;
    padding-block-end: 3rem;
    background-color: #050A23;
    background-image: url("../images/background.svg");
    background-repeat: no-repeat;
    background-position: 50% 0;
}

.demos-home.dark,
.demos-home.dark h1,
.demos-home.dark h2,
.demos-home.dark h3,
.demos-home.dark h4,
.demos-home.dark h5,
.demos-home.dark h6,
.demos-home.dark p {
    color: #ffffff !important;
}

/* Top navigation links */
.nav-links a {
    color: var(--rz-text-title-color);
    transition: all 0.3s;
    text-decoration: none;
}

/* CTA Buttons */

.cta-button {
    text-decoration: none;
    display: inline-block;
    font-weight: 600;
    font-size: 1rem;
    line-height: 1.25rem;
    letter-spacing: 0.05em;
    text-transform: uppercase;
    text-align: center;
    white-space: nowrap;
    padding: 1rem 2rem;
    border-radius: .75rem;
    border: 2px solid var(--rz-text-color);
    box-sizing: border-box;
    color: var(--rz-text-color) !important;
    transition: all 0.3s ease-in-out;
}

.dark .cta-button {
    border-color: rgba(255,255,255,.3);
    color: #ffffff !important;
}

.cta-button.primary {
    font-weight: 600;
    color: #ffffff !important;
    border-color: #FF504D;
    background: #FF504D;
}

.cta-button:hover {
    text-decoration: none;
    color: var(--rz-text-contrast-color) !important;
    border-color: var(--rz-base-800);
    background: var(--rz-base-800);
}
.dark .cta-button:hover {
    text-decoration: none;
    color: #050A23 !important;
    border-color: #ffffff;
    background: #ffffff;
}

.cta-button:active {
    color: #c2c2c2 !important;
}
.dark .cta-button:active {
    color: #515256 !important;
}

/* Updated layout */

.customers-logos {
    
    img {
        height: 20px;
        max-width: 100%;
    }

    .square img {
        height: 40px;
    }

    span {
        min-width: 100px;
        padding: 8px 12px;
        text-align: center;
        display: flex;
        align-items: center;
        justify-content: center;
    }
}

/* Radzen Features */

video {
    box-shadow: 0px 12px 20px rgba(0, 0, 0, 0.5);
    background: rgba(0,0,0,.3) url("../images/play.svg") no-repeat 50% 50%;
}

.radzen-features ul {
    margin-block-start: 0;
    margin-block-end: 0;
    list-style-image: url("../images/checkmark.svg");
}

.radzen-features li {
    cursor: default;
    padding-block-start: 0.6rem;
    padding-block-end: 0.6rem;
    transition: all 0.3s ease-in-out;
}

/* Components List */
.components-list {
    --rz-link-hover-text-decoration: none;

    .rz-link {
        display: block;
        width: 100%;
        font-weight: 600;
        position: relative;
        border-radius: var(--rz-card-border-radius);

        .rz-badge {
            --rz-badge-font-size: 12px;
            --rz-badge-line-height: 12px;
            --rz-badge-padding: 1px 2px;
            --rz-badge-border-radius: var(--rz-border-radius-4);
            position: absolute;
            width: 16px;
            height: 16px;
            inset-inline-start: 32px;
            inset-block-start: -4px;
            overflow: hidden;
            text-align: start;
            transition: width .15s 0.1s linear;

            span {
                margin: 0 4px;
                text-transform: uppercase;
                font-size: 9px;
            }
        }

        .rz-link-text {
            display: flex;
            align-items: center;
            gap: 0.5rem;

            > .rzi {
                font-size: 28px;
                font-weight: 300;
                width: 12px;
                height: 12px;
                font-variation-settings: 'opsz' 40;
                background-color: var(--rz-primary-lighter);
                color: var(--rz-on-primary-lighter);
                border-radius: var(--rz-card-border-radius);
                width: 44px;
                height: 44px;
            }
        }
    }

    .rz-link:hover,
    .rz-link:focus-visible {
        .rz-badge.rz-badge-success {
            width: 46px;
        }

        .rz-badge.rz-badge-info {
            width: 66px;
        }
    }

    .rz-link:focus-visible {
        outline: var(--rz-outline-focus);
    }
}



/* Footer */

.copyright {
    margin-block-start: 6rem;
    opacity: .2;
    transition: all 0.4s ease-in-out;
}
.copyright:hover {
    opacity: 1;
}

.row.copyright p {
    font-size: 1rem;
    font-weight: 300;
    color: #ACAFB9;
}

/* Demos Content */

p code,
ul code {
    display: inline-block;
}

p code,
ul code,
pre {
    padding: 0 0.5rem;
    font-size: 0.8125em !important;
    line-height: 1.25rem;
    background: var(--rz-base);
    color: var(--rz-on-base);
    border-radius: var(--rz-card-border-radius);
    letter-spacing: -0.04em;
}

pre {
    overflow-x: auto;
}

.rz-sidebar {
    inset-block-end: 0 !important;
}

.rz-card.docu p,
.rz-card.docu ul {
    line-height: 1.6;
    margin-block-end: 1rem;
}

.docu img,
.docu svg {
    display: block;
    width: 100%;
    max-width: 700px;
    margin: 4rem auto;
    box-shadow: 0px 4px 20px rgba(0, 0, 0, 0.06);
}

svg.illustration {
    box-shadow: none;
    max-width: 300px;
    min-height: 220px;
}

.example-container {
    max-width: 1440px;
}

/* Demos Sidebar */

.demos-sidebar .rz-panel-menu .rz-badge {
    margin-inline-start: 0.5rem;
    font-size: 9px;
    line-height: 12px;
}

/* Demos Tabs */

.example-tabs > .rz-tabview-panels {
    border-inline-end: none;
    border-block-end: none;
    border-inline-start: none;
}

.example-tabs > .rz-tabview-nav {
    background-color: var(--rz-tabs-tab-background-color);
    border-radius: var(--rz-card-border-radius) var(--rz-card-border-radius) 0 0;
    padding: 0 1rem;
}

.rz-tabview-top.example-tabs > .rz-tabview-nav > li {
    z-index: 1;
    border-radius: 0;
    border-inline-start: none;
    border-inline-end: none;
    border-block-end: none;
    transition: none;
    overflow: hidden;
}

.rz-tabview-top.example-tabs > .rz-tabview-nav > li > a > .rz-tabview-title {
    overflow: hidden;
    text-overflow: ellipsis;
}

.monaco-editor .view-overlays .current-line {
    border: none !important;
}

.source-tab-item {
    margin: calc(-1 * var(--rz-tabs-padding));
    overflow: hidden;
}

/* Demos TOC */
.demos-right-nav {
    position: sticky;
    inset-block-start: 2rem;
    border-inline-start: var(--rz-border-disabled);
}

.article-toc {
    border-inline-start: var(--rz-border-disabled);
}

.article-toc h2 {
    padding-inline-start: calc(1rem + 2px);
}

.article-toc ul,
.article-toc li {
    margin: 0;
    padding: 0;
    list-style-type: none;
}

.article-toc a {
    display: block;
    padding: 0.25rem 0.25rem 0.25rem 1rem;
    text-decoration: none;
    color: var(--rz-tabs-tab-color);
    border-inline-start: 2px solid transparent;
    overflow: hidden;
    text-overflow: ellipsis;
    transition: var(--rz-transition-all);
}

.article-toc .active a {
    color: var(--rz-tabs-tab-selected-color);
    border-inline-start-color: var(--rz-tabs-tab-selected-color);
}

.article-toc a:hover,
.article-toc .active a:hover {
    text-decoration: none;
    color: var(--rz-tabs-tab-hover-color);
    border-inline-start-color: var(--rz-tabs-tab-hover-color);
}

/* Promo */

.promo-alert {
    background: linear-gradient(110deg, rgba(0,0,0,0.4) 100%, rgba(0,0,0,0.3) 30%, rgba(0,0,0,0.4) 100%),linear-gradient(110deg, #000 20%, #AA01E4 75%, #534EEB 100%);
    background-size: cover;
    padding: 2rem !important;
}

/* Responsive */

@media (max-width: 1024px) {
    .documentation-links {
        float: none;
        margin-inline-start: 0;
        margin-block-end: 1rem;
    }
    .documentation-links a {
        display: flex;
        margin-inline-start: 0;
    }
}

@media (max-width: 767px) {
    .nav-links a {
        margin-inline-start: 1rem;
    }
}

@media (max-width: 576px) {
    .demos-home h1 {
        font-size: 3.5rem;
    }
    .all-components h4 {
        font-size: 1.25rem;
        font-weight: 700;
    }
    .all-components a {
        font-size: 1.25rem;
        font-weight: 400;
    }
    .popular-components a {
        width: 7rem;
        margin-block-end: 2rem;
    }
    .customers h3 {
        margin: 1rem 0 0;
    }
    .copyright {
        opacity: 1;
    }
}

#blazor-error-ui {
    background: lightyellow;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    inset-block-end: 0;
    inset-inline-start: 0;
    padding-block: 0.6rem 0.7rem;
    padding-inline: 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

#blazor-error-ui .dismiss {
    cursor: pointer;
    position: absolute;
    inset-inline-end: 0.75rem;
    inset-block-start: 0.5rem;
}

.blazor-error-boundary {
    background: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNTYiIGhlaWdodD0iNDkiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIG92ZXJmbG93PSJoaWRkZW4iPjxkZWZzPjxjbGlwUGF0aCBpZD0iY2xpcDAiPjxyZWN0IHg9IjIzNSIgeT0iNTEiIHdpZHRoPSI1NiIgaGVpZ2h0PSI0OSIvPjwvY2xpcFBhdGg+PC9kZWZzPjxnIGNsaXAtcGF0aD0idXJsKCNjbGlwMCkiIHRyYW5zZm9ybT0idHJhbnNsYXRlKC0yMzUgLTUxKSI+PHBhdGggZD0iTTI2My41MDYgNTFDMjY0LjcxNyA1MSAyNjUuODEzIDUxLjQ4MzcgMjY2LjYwNiA1Mi4yNjU4TDI2Ny4wNTIgNTIuNzk4NyAyNjcuNTM5IDUzLjYyODMgMjkwLjE4NSA5Mi4xODMxIDI5MC41NDUgOTIuNzk1IDI5MC42NTYgOTIuOTk2QzI5MC44NzcgOTMuNTEzIDI5MSA5NC4wODE1IDI5MSA5NC42NzgyIDI5MSA5Ny4wNjUxIDI4OS4wMzggOTkgMjg2LjYxNyA5OUwyNDAuMzgzIDk5QzIzNy45NjMgOTkgMjM2IDk3LjA2NTEgMjM2IDk0LjY3ODIgMjM2IDk0LjM3OTkgMjM2LjAzMSA5NC4wODg2IDIzNi4wODkgOTMuODA3MkwyMzYuMzM4IDkzLjAxNjIgMjM2Ljg1OCA5Mi4xMzE0IDI1OS40NzMgNTMuNjI5NCAyNTkuOTYxIDUyLjc5ODUgMjYwLjQwNyA1Mi4yNjU4QzI2MS4yIDUxLjQ4MzcgMjYyLjI5NiA1MSAyNjMuNTA2IDUxWk0yNjMuNTg2IDY2LjAxODNDMjYwLjczNyA2Ni4wMTgzIDI1OS4zMTMgNjcuMTI0NSAyNTkuMzEzIDY5LjMzNyAyNTkuMzEzIDY5LjYxMDIgMjU5LjMzMiA2OS44NjA4IDI1OS4zNzEgNzAuMDg4N0wyNjEuNzk1IDg0LjAxNjEgMjY1LjM4IDg0LjAxNjEgMjY3LjgyMSA2OS43NDc1QzI2Ny44NiA2OS43MzA5IDI2Ny44NzkgNjkuNTg3NyAyNjcuODc5IDY5LjMxNzkgMjY3Ljg3OSA2Ny4xMTgyIDI2Ni40NDggNjYuMDE4MyAyNjMuNTg2IDY2LjAxODNaTTI2My41NzYgODYuMDU0N0MyNjEuMDQ5IDg2LjA1NDcgMjU5Ljc4NiA4Ny4zMDA1IDI1OS43ODYgODkuNzkyMSAyNTkuNzg2IDkyLjI4MzcgMjYxLjA0OSA5My41Mjk1IDI2My41NzYgOTMuNTI5NSAyNjYuMTE2IDkzLjUyOTUgMjY3LjM4NyA5Mi4yODM3IDI2Ny4zODcgODkuNzkyMSAyNjcuMzg3IDg3LjMwMDUgMjY2LjExNiA4Ni4wNTQ3IDI2My41NzYgODYuMDU0N1oiIGZpbGw9IiNGRkU1MDAiIGZpbGwtcnVsZT0iZXZlbm9kZCIvPjwvZz48L3N2Zz4=) no-repeat 1rem/1.8rem, #b32121;
    padding-block: 1rem;
    padding-inline: 3.7rem 1rem;
    color: white;
}

.blazor-error-boundary::after {
    content: "An error has occurred."
}

.rz-app-loading {
    position: fixed;
    inset: 0;
    background: var(--rz-base-background-color);
    z-index: 1000;
    overflow: hidden;
    display: flex;
    align-items: center;
    justify-content: center;
}


@keyframes colorChange {
    to {
        background-position: bottom right;
    }
}

@keyframes boxShadow {
    0% {
        box-shadow: 0 0 0 20px rgba(97, 92, 237, 0.2), 0 0 0 40px rgba(97, 92, 237, 0.2);
    }
    100% {
        box-shadow: 0 0 0 20px rgba(255, 80, 77, 0.2), 0 0 0 40px rgba(255, 80, 77, 0.2);
    }
}

.embed-container {
    position: relative;
    padding-block-end: 56.25%;
    height: 0;
    overflow: hidden;
    max-width: 100%;
}
.embed-container iframe,
.embed-container object,
.embed-container embed {
    position: absolute;
    inset-block-start: 0;
    inset-inline-start: 0;
    width: 100%;
    height: 100%;
}








/* 코드 에디터 */
.code-editor {
  height: 100%;
}

/* notification */
.rz-notification-content {
  word-wrap: break-word !important;
  word-break: break-word !important;
  font-size: 0.7rem;
  margin: 1rem 0 0.6rem 0;
}








/*radzon-blazor 6.4.0 에서 일부 테마에서 step 코드 안먹음*/

.rz-steps [role=tablist] {
  display: flex;
}

.rz-steps .rz-steps-item:not(:last-child) {
  flex: auto;
  display: flex;
  align-items: center;
}

  .rz-steps .rz-steps-item:not(:last-child):after {
    display: "block";
    content: "";
    flex: auto;
    height: 1px;
    margin-inline-end: 16px;
    background-color: var(--rz-base-300);
  }


  /* grid page 숨기기*/
.rz-pager-element {
  display: none !important;
}



/* grid 하단 버튼 디자인 */
/*.action-btn a {
  cursor: pointer;
  font-size: 1rem;
  font-weight: bold;*/
/*  padding: 1px 5px;*/
  /*color: #ffffff;
}

  .action-btn a:hover {
    font-weight: bold;
    color:red;
    text-shadow: 1px 1px 6px #ffffff;
  }*/


a[class^=action] {
  cursor: pointer;
  font-size: 1rem;
  font-weight: bold;
  padding-right: 3px;
  float: left;
  /*  color: var(--rz-grid-cell-color);*/
  color: inherit;
}

a[class^=action]:hover {
  font-weight: bold;
  color: red;
/*  text-shadow: 1px 1px 6px #ffffff;*/
}




/* grid 편집상태일때 안쪽 에디터의 크기를 꽉 체우기 */
.rz-cell-data .rz-textbox {
  width: 100%;
}


/* body 스크롤 없에기 */
.rz-layout .rz-body {
/*  overflow: unset;*/
}


/* badge 크기는 무조건 요크기 */
.badge {
  font-size: 11px !important;
  font-weight: 100 !important;
  border-radius: var(--rz-badge-border-radius);
}

.rz-badge {
  font-size: 11px !important;
  font-weight: 100 !important;
}

/*
.main-body-context {
  height: calc(100vh - var(--context-body-offset2)) !important;
}
*/

.context-body-rowcol {
    height: 100% !important;
/*    max-height: 100% !important;*/
}



.context-body-row {
    height: calc(100vh - 8rem) !important;
}


.quriUrlcont .context-body-row {
  height: calc(100vh - 9rem) !important;
}






/* 특정 theme 별로 context 의 길이가 각각 다르다.. 어떻게 해결할수 있나*/



:root {
  --main-context-body-offset: 6.7rem;
  --context-body-offset: 11.5rem;
  --context-body-offset2: 15.5rem;
}

div[theme="material-dark"] .main-page-context {
  --main-context-body-offset: 7.4rem;
  --context-body-offset: 11.5rem;
}


.main-page-context .context-body-row {
  height: calc(100vh - var(--context-body-offset)) !important;
}


.main-page-context {
  height: calc(100vh - var(--main-context-body-offset));
  /*  height: calc(100vh - 7.4rem);*/
}


.main-page-context .context-body-row {
/*  height: calc(100vh - 12rem) !important;*/
/*  height: calc(100vh - 11rem) !important;*/
}
/*
.overheight {
  height: calc(100vh - 12rem) !important;
}*/

/*
.main-page-context .overheight {
  height: calc(100vh - 19rem) !important;
}*/


.rz-tabview-panel {
  height: 100%;
}



/*알림창 위치*/
.rz-notification {
  inset-block-start: unset !important;
/*  inset-inline-end: calc(100% - 57%) !important;*/
  bottom: 0px;
  right: 1rem;
}



.main-body-context.rz-row {
    gap: 0rem;
    row-gap: 0rem;
}



a{
    color: unset;
    cursor:pointer;
}


.quri_sidebarmenu .rz-expander .rz-expander {
  background-color: var(--rz-panel-menu-item-2nd-level-background-color);
  padding-inline-start: calc( var(--rz-panel-menu-item-2nd-level-offset) / 2);
}

  .quri_sidebarmenu .rz-expander .rz-expander .rz-navigation-item-wrapper {
    background-color: unset !important;
  }

.rz-navigation-item {
/*  background-color: var(--rz-panel-menu-item-2nd-level-background-color);*/
}

.rz-expander .rz-navigation-item-link {
}



.quri_sidebarmenu .rz-expander .rz-navigation-menu .rz-navigation-item.menu-fold > .rz-navigation-item-wrapper {
  background-color: unset !important;
}

.quri_sidebarmenu .rz-expander .rz-navigation-menu .rz-navigation-item.menu-fold > .rz-navigation-item-wrapper .rz-navigation-item-link {
  font-weight: 600;
  padding-top: 12px;
  padding-bottom: 12px;
}

/*

.rz-expander .rz-navigation-menu .rz-navigation-item:hover {
  background-color: unset !important;
}*/


.avatar {
  vertical-align: middle;
  width: 22px;
  height: 22px;
  border-radius: 50%;
}



.rz-text-body1 {
  margin-block-end: 0;
}



/*.rz-data-row .rz-cell-data {
  height: 2.3rem;
  vertical-align: middle;*/
/*  padding-top: 0.3rem;*/
/*}


  .rz-data-row .rz-cell-data:not(:has(:is(*))) {
    padding-top: 0.5rem;
  }*/